Bug 1296997 - allow for 'ip link show type bridge'
allow for 'ip link show type bridge'
Status: CLOSED DUPLICATE of bug 1297000
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute (Show other bugs)
7.3
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Phil Sutter
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 11:36 EST by Phil Sutter
Modified: 2016-01-25 16:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 16:42:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Sutter 2016-01-08 11:36:54 EST
Listing interfaces by type (or other selectors maybe?) is a nice to have feature. Sadly, RHEL7 seems not to support it yet:

# ip link show type bridge
Error: either "dev" is duplicate, or "bridge" is a garbage.
Comment 1 Phil Sutter 2016-01-12 12:40:03 EST
To enable this feature, the following upstream commit should be backported:

commit 712249d8fac88bcf3a9fd0b1de2263074075873b
Author: Vadim Kochan <vadim4j@gmail.com>
Date:   Wed Dec 10 10:11:29 2014 +0200

    ip link: Show devices by type
    
    Added new option 'type' to 'ip link show'
    command which allows to filter devices by type:
    
        ip link show type bridge
        ip link show type vlan
    
    Signed-off-by: Vadim Kochan <vadim4j@gmail.com>

Maybe a good opportunity to check if there are other simple enhancements missing which make life easier.
Comment 3 Phil Sutter 2016-01-25 16:42:13 EST
This is a duplicate of bug 1297000, just specific to link type bridge, which it should not be as upstream did not fix the issue for that type separately.

*** This bug has been marked as a duplicate of bug 1297000 ***

Note You need to log in before you can comment on or make changes to this bug.